package m05bClasses;

import org.apache.commons.lang.StringEscapeUtils;

public class m05bUtils {

	public static String escape(String str) {
		return StringEscapeUtils.escapeHtml(str);
	}

	public static String unescape(String str) {
		return StringEscapeUtils.unescapeHtml(str);
	}

	public static String dniConLetra(String sDni) {
		String sDniSinLetra = sDni;
		if (sDni.length() > 0) {
			if (!Character.isDigit(sDni.charAt(sDni.length() - 1))) {
				sDniSinLetra = sDniSinLetra.substring(0, sDni.length() - 1);
			}
		}
		if(sDniSinLetra.matches("[0-9]+")) {
			// sólo tiene números
			int dni = Integer.parseInt(sDniSinLetra);
			String juegoCaracteres="TRWAGMYFPDXBNJZSQVHLCKET";
		    int modulo= dni % 23;
		    char letra = juegoCaracteres.charAt(modulo);
		    sDni = String.valueOf(dni).concat(String.valueOf(letra));
		}
		return sDni;
	}
}